[Mongrel] uninitialized constant RailsHandler::Dispatcher

Jesse Clark jesse at jesseclark.com
Wed Jun 6 11:47:14 EDT 2007


That is odd. 'gem query mongrel -remote' with 1.8.6 installed only 
listed mongrel 0.3.3 as the latest available version. When I reinstalled 
1.8.4 the latest version of mongrel was then available to gem install.

Jack Christensen wrote:
> Jesse Clark wrote:
>> Thanks, Michael.
>>
>> I was doing a fresh install of ruby & etc. and without thinking about it 
>> much I installed the latest version of ruby: 1.8.6; not noticing that 
>> the mongrel home page says right up top: "|You need Ruby 1.8.4 just like 
>> the gem says you do."
>>
>> I have installed 1.8.4 and reinstalled gems and now when I gem install 
>> mongrel I get the correct version.
>>
>> Pioneers get shot full of arrows...
>>   
>
> Hmm. I'm running Ruby 1.8.6 and gem installed mongrel 1.0.1 for me. 
> Been working fine for about a month...
>
> Jack

>> Thanks again,
>> -Jesse
>> ||||||
>>
>> |
>> Michael D'Auria wrote:
>>   
>>> Jesse,
>>>  
>>> You should upgrade to a newer version of Mongrel, you seem to have a 
>>> very old version.
>>>  
>>> - Michael
>>>
>>>  
>>> On 6/5/07, *Jesse Clark* <jesse at jesseclark.com 
>>> <mailto:jesse at jesseclark.com>> wrote:
>>>
>>>     Hello,
>>>
>>>     I am running in to an error trying to run mongrel. The server
>>>     starts but
>>>     then trying to access any url in my application throws this error:
>>>
>>>     calling Dispatcher.dispatch uninitialized constant
>>>     RailsHandler::Dispatcher
>>>     ./script/../config/../vendor/rails/activesupport/lib/active_support/dependencies.rb:477:in
>>>     `const_missing'
>>>     /usr/lib/ruby/gems/1.8/gems/mongrel- 0.3.3/bin/mongrel_rails:75:in
>>>     `process'
>>>     ...
>>>
>>>     see full trace at: http://pastie.caboo.se/68007
>>>
>>>     If I force webrick the app works fine.
>>>
>>>     When I google this error all I find is one instance of the same stack
>>>     trace on a page in Japanese.
>>>
>>>     I am using:
>>>     mongrel (0.3.3)
>>>     rails (1.2.3)
>>>
>>>     Any help or suggestions would be much appreciated.
>>>
>>>     Thanks,
>>>     -Jesse
>>>
>>>
>>>     _______________________________________________
>>>     Mongrel-users mailing list
>>>     Mongrel-users at rubyforge.org <mailto:Mongrel-users at rubyforge.org>
>>>     http://rubyforge.org/mailman/listinfo/mongrel-users
>>>     <http://rubyforge.org/mailman/listinfo/mongrel-users>
>>>
>>>
>>> ------------------------------------------------------------------------
>>>
>>> _______________________________________________
>>> Mongrel-users mailing list
>>> Mongrel-users at rubyforge.org
>>> http://rubyforge.org/mailman/listinfo/mongrel-users
>>>     
>> _______________________________________________
>> Mongrel-users mailing list
>> Mongrel-users at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/mongrel-users
>>
>>   
>
>
> -- 
> Jack Christensen
> jackc at hylesanderson.edu
> ------------------------------------------------------------------------
>
> _______________________________________________
> Mongrel-users mailing list
> Mongrel-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/mongrel-users


More information about the Mongrel-users mailing list